Partner Object

Partner resources are essential to create transactions in a paper. Most activities are related to the partner, from invoicing to payment.

Object Description

A Partner is the counter party to whom that you will do transaction. Hence, the role is essentials on the transaction. This partner object contains essential information such as name, phone, email as destination for sending notification. Furthermore, details like address, bank account, tax identity and so on can be added as well.

Attributes

Object AttributesData Type ValidationDescription (and note)
idStringUnique identifier for partner, value is UUID
objectStringObject name, the value is partner
name *StringPartner name
number*StringPartner number or code. Value must be unique per company.
typeString

Partner type

Available values are CLIENT, SUPPLIER, and BOTH.

default value should be BOTH

business_typeStringPartner business type. Possible values are pt, cv, perorangan, others
emailStringPartner company email address
phone*StringPartner company phone number in E.164 international format
mobile_phoneStringPartner mobile phone number in E.164 international format
addressStringPartner address Information
address.address_line_1String

Partner address line 1

Addressing street and building number

address.address_line_2String

Partner address line 2

Addressing room, floor number or specific area of a building

address.provinceString

Partner address province

To get list of province you can have it by hit the helper API GET /province

address.districtString

Partner address district

To get list of district in a province you can have it by hit the helper API GET /district/:id

address.zip_codeStringPartner address zip-code
address.countryStringPartner country address, represented in ISO 3166-1 Alpha-3 Code Format
notesStringPartner Note, useful for describe the partner information in a text format
virtual_accountStringPartner Virtual Account Number
websiteStringPartner Website
contactsArrayPartner contact person list
bank_accountsArrayPartner registered bank account
payment_methodString

Partner allowed payment method

This contains 'key-value' pairs for each registered payment method

payment_method.credit_cardBooleanStatus for partner credit card payment method to be enabled or disabled.
payment_method.bank_transferBooleanStatus for partner bank_transfer payment method to be enabled or disabled.
payment_method.ewalletBooleanStatus for partner ewallet payment method to be enabled or disabled.
payment_method.digital_payment_partnerBooleanStatus for partner digital partner payment method to be enabled or disabled.
payment_method.qrisBooleanStatus for partner QRIS payment method to be enabled or disabled.
  • attribute with asterisk mark (*), is required either from API, mobile app or dashboard

JSON Schema

{
   "id": "1123-1231-asdf-llll",
   "object": "partner",
   "name": "Bintang Jaya",
   "number": "C.00001",
   "type": "supplier",
   "business_type": "pt",
   "email": "brianar [email protected]",
   "phone": "+62811442189",
   "mobile_phone": "+62811442189",
   "address": {
       "address_line_1": "1 loop street ",
       "address_line_2": "Suite 505, 5th Floor",
       "province": "DKI Jakarta",
       "district": "Jakarta Utara",
       "zip_code": "61125",
       "country": "IDN"
   },
   "notes": "",
   "virtual_account": "",
   "contacts": [],
   "bank_accounts": [],
   "payment_method": {
       "credit_card": true,
       "bank_transfer": true,
       "ewallet": false,
       "mitra_pembayaran_digital": false,
       "qris": false
   }
}